<?
require('conexion.php');


function ComprobarRegistro($tabla,$registro) {
	
global $cid;

	//comprobamos qe no est en la tabla _ACODSTRANS
			$rsql = "SELECT * FROM _ACODSTRANS where (TABLATRANS = '$tabla') AND (CODTRANS = '$registro')";
			$rresult=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
			$num_results = 0;
			
			while (odbc_fetch_row($rresult)) {
				++$num_results;
			}
			
			//echo "<br>".$num_results."<br>";
			
			if ($num_results!=0) {
				
				if ($tabla=="COMISIO") {
					//cortamos las 3 ultimas cifras, sumamos 1 y le añadimos 3 ceros
					$registro = substr($registro,0,strlen($registro)-3);
					++$registro;
					$registro .= "000";
					//echo $registro;
				}
				else {
					++$registro;
				}
				
			$registro = ComprobarRegistro($tabla,$registro);
				
			}
			
			
			return $registro;
			
}


//recogemos variables

$empresa = $_GET['empresa'];
$oficina = $_GET['oficina'];

$nombre = strtoupper($_GET['nombre']);
$apellidos = strtoupper($_GET['apellidos']);
$direccion = strtoupper($_GET['direccion']);
$numero = $_GET['numero'];
$dni = strtoupper($_GET['dni']);
$poblacion = strtoupper($_GET['poblacion']);
$provincia = strtoupper($_GET['provincia']);
$codigopostal = $_GET['codigopostal'];
$cpostal = substr($codigopostal,0,strlen($codigopostal)-3);
$tlfijo = $_GET['tlfijo'];
$tlfmovil = $_GET['tlfmovil'];
$fax = $_GET['fax'];
$email = $_GET['email'];
$email_tabla = str_replace('@','#',$email);

$usuario = $_GET['usuario'];
$origen = $_GET['origen'];

$usuario_web = explode("@",$email);
$usuario_web = $usuario_web[0];

$hora=date('H:i:s');
$fecha_a=date('Ymd');
$now=$fecha_a.$hora;
	
$pais = $_GET['pais'];
$observaciones = strtoupper($_GET['observaciones']);
$seguridadsocial = $_GET['seguridadsocial'];
$vpropio = $_GET['vpropio'];
$referencias = strtoupper($_GET['referencias']);
$experiencia = strtoupper($_GET['experiencia']);
$tipo_jornada = $_GET['tipo_jornada'];
$lunes = $_GET['lunes'];
$martes = $_GET['martes'];
$miercoles = $_GET['miercoles'];
$jueves = $_GET['jueves'];
$viernes = $_GET['viernes'];
$sabado = $_GET['sabado'];
$domingo = $_GET['domingo'];

$nacimiento = $_GET['nacimiento'];
$nacimiento = explode("-",$nacimiento);
$nacimiento = $nacimiento[2]."-".$nacimiento[1]."-".$nacimiento[0];
$moto = $_GET['moto'];
$coche = $_GET['coche'];
$btp = $_GET['btp'];
$camion = $_GET['camion'];
$bus = $_GET['bus'];
$remolque = $_GET['remolque'];

$falta = date('Y-m-d');
$falta .= ' 00:00:00';

$ultmodi = date('YmdH:i');

$espanol = $_GET['espanol'];
$ingles = $_GET['ingles'];
$frances = $_GET['frances'];
$aleman = $_GET['aleman'];
$otro_idioma = strtoupper($_GET['otro_idioma']);

$conductor = $_GET['conductor'];
$comercial = $_GET['comercial'];
$administrativo = $_GET['administrativo'];
$contable = $_GET['contable'];
$lavacoches = $_GET['lavacoches'];

$origen = $_GET['origen'];
$usuario = $_GET['usuario'];

//comprobamos si existe como chófer
$sql="Select top 1 count(EMAIL) AS num_mail, count(NIF) AS num_nif from POTENCIALES WHERE EMAIL='$email' AND NIF='$nif' AND NUMERO LIKE'$empresa%'";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
while ($row = odbc_fetch_array($result)) {
	$num_mail = $row['num_mail'];
	
	$num_nif = $row['num_nif'];
}

if ($num_mail!=0 && $num_nif!=0) {
	echo '<p class="iz negrita" style="margin: 15px 5px 10px 10px;">- El perfil con el que intenta entrar en la bolsa de trabajo de LimousineCC ya esta registrado.</p>';
}
else {
	
	//insetamos chofer + idioma_chofer
	//extraemos el código de chófer, el mayor + 1 , de la empresa que pasa por el form
	if ($conductor==1) {
	
	$sql="Select max(COD_CHOF) from CHOFERES WHERE COD_CHOF like '$empresa%'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$cod_chofer = odbc_result($result,1);
	if ($cod_chofer=="") {$cod_chofer = $empresa.'00000';}
	$cod_chofer = $cod_chofer + 1;
	//comprobamos que no esta ocupado este registro en _ACODTRANS
	$cod_chofer = ComprobarRegistro('CHOFERES',$cod_chofer);
	//completamos los ceros
	$cod_chofer = str_repeat('0',7-strlen($cod_chofer)).$cod_chofer;
	
	
	$rsql = "INSERT INTO CHOFERES (COD_CHOF,NOM_CHOF,DIR_CHOF,DNI_CHOF,POB_CHOF,PROV_CHOF,CP_CHOF,TEL1_CHOF,TEL2_CHOF,FAX_CHOF,EMAIL_CHOF,FALTA_CHOF,OBSERVA_CHOF,ULTMODI,USUARIO,CLASE_CHOF,SS_CHOF,VEHIPROPIO,REFERENCIAS,EXPERIENCIA,EMAILPERSO_CHOF,DISPO_HORARIA,DISP_LUNES,DISP_MARTES,DISP_MIERCOLES,DISP_JUEVES,DISP_VIERNES,DISP_SABADO,DISP_DOMINGO,FENACI,A,B,BTP,C,D,E,SUB_CHOF,OFI_CHOF, ENTREVISTADO) 
	VALUES ('$cod_chofer','".$nombre." ".$apellidos."','$direccion','$dni','$poblacion','$cpostal','$codigopostal','+".$pais." ".$tlfijo."','+".$pais." ".$tlfmovil."','+".$pais." ".$fax."',
	'$email_tabla','$falta','$observaciones','$ultmodi','$usuario','','$seguridadsocial','$vpropio','$referencias','$experiencia',
	'$email_tabla','$tipo_jornada','$lunes','$martes','$miercoles','$jueves','$viernes','$sabado','$domingo',
	'$nacimiento','$moto','$coche','$btp','$camion','$bus','$remolque','$empresa','$oficina',0)";
		
	$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	
	
	
	//idiomas choferes
	if ($espanol!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','1','$usuario','$ultmodi','".$espanol."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($ingles!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','2','$usuario','$ultmodi','".$ingles."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($frances!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','3','$usuario','$ultmodi','".$frances."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($aleman!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','4','$usuario','$ultmodi','".$aleman."')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	if ($otro_idioma!="") {
		$rsql = "INSERT INTO CHOFER_IDIOMAS (CHOFER,IDIOMA,OBSERVACIONES,USUARIO,ULTMODI,SUNOTA) VALUES ('$cod_chofer','8','$otro_idioma','$usuario','$ultmodi','7')";
		$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	}
	
	} //fin insertar conductor
	
	//insertamos un comercial
	//extraemos el código de comisio, cortamos las 3 ultimas cifras, le sumamos 1, le añadimos los 3 ceros y comprobamos en _ACODTRANS
	
	if ($comercial==1 && $empresa=='00') {
	$sql="Select max(NUM_COMI) from COMISIO";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	//numero de comercial
	$cod_comisio = odbc_result($result,1);
	//if ($cod_personal=="") {$cod_personal = $empresa.'00000';}
	//cortamos las 3 ultimas cifras
	$cod_comisio = substr($cod_comisio,0,strlen($cod_comisio)-3);
	//le sumamos 1
	$cod_comisio = ++$cod_comisio;
	//le añadimos 3 ceros
	$cod_comisio .= '000';
	//comprobamos en _ACOD
	$cod_comisio = ComprobarRegistro('COMISIO',$cod_comisio);echo '<br>';
	//completamos ceros iniciales
	$cod_comisio = str_repeat('0',7-strlen($cod_comisio)).$cod_comisio;
	
	$rsql = "INSERT INTO COMISIO (NUM_COMI,NOMBRE,DIRECCION,NIF,POBLACION,PROVINCIA,CP,TELEFONO,MOVIL,FAX,EMAIL,ALTA_COMI,ULTMODI,OBSERVA,USUARIO,SUBLICEN) 
	VALUES ('$cod_comisio','".$nombre." ".$apellidos."','$direccion','$dni','$poblacion','$cpostal','$codigopostal','+".$pais." ".$tlfijo."','+".$pais." ".$tlfmovil."','+".$pais." ".$fax."','$email_tabla','$falta','$ultmodi','$observaciones','$usuario','$empresa')";
	$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));	
	}
	
	//insertamos en personal
	//extraemos el código de personal, el mayor + 1 , de la empresa que pasa por el form, y que sea de 7 caracteres
	if ($administrativo==1 || $contable==1 || $lavacoches==1) {
	
	$sql="Select max(COD_PERS) from PERSONAL WHERE COD_PERS like '$empresa%' AND LENGTH(COD_PERS)=7";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	//registro más alto
	$cod_personal = odbc_result($result,1);
	if ($cod_personal=="") {$cod_personal = $empresa.'00000';}
	//añadimos 1
	$cod_personal = ++$cod_personal;
	//comprobamos que no esta ocupado este registro en _ACODTRANS
	$cod_personal = ComprobarRegistro('PERSONAL',$cod_personal);
	//completamos los ceros
	$cod_personal = str_repeat('0',7-strlen($cod_personal)).$cod_personal;
	
	$rsql = "INSERT INTO PERSONAL (COD_PERS,SUB_PERS,NOM_PERS,DIR_PERS,DNI_PERS,POB_PERS,PROV_PERS,CP_PERS,TEL1_PERS,TEL2_PERS,FAX_PERS,EMAIL_PERS,FALTA_PERS,ULTMODI,USUARIO,SS_PERS,FENAC,EMAILPERSO_PERS,CODUSU_PERS) 
	VALUES ('$cod_personal','$empresa','".$nombre." ".$apellidos."','$direccion','$dni','$poblacion','$cpostal','$codigopostal','+".$pais." ".$tlfijo."','+".$pais." ".$tlfmovil."','+".$pais." ".$fax."','$email_tabla','$falta','$ultmodi','$usuario','$seguridadsocial','$nacimiento','$email_tabla','$usuario')";
	$result=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	
	}
	
	
	//insertamos 
	//extraemos el código  mayor + 1 , de la empresa que pasa por el form
	
	$sql="Select max(NUMERO) from POTENCIALES WHERE NUMERO like '$empresa%'";
	$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	
	$cod_potencial = odbc_result($result,1);
	if ($cod_potencial=="") {$cod_potencial = $empresa.'00000';}
	//le sumamos 1
	$cod_potencial = ++$cod_potencial;
	//comprobamos que no esta ocupado este registro en _ACODTRANS
	$cod_potencial = ComprobarRegistro('POTENCIALES',$cod_potencial);
	//completamos los ceros
	$cod_potencial = str_repeat('0',7-strlen($cod_potencial)).$cod_potencial;
	
	
	//cambiamos los valores de los idiomas ya que son diferentes
	if ($espanol!=0) {
		switch ($espanol) {
			case 4:
			$espanol = 1;	
			break;
			case 7:
			$espanol = 2;	
			break;
			case 9:
			$espanol = 3;	
			break;
		
		}
	}
	
	if ($ingles!=0) {
		switch ($ingles) {
			case 4:
			$ingles = 1;	
			break;
			case 7:
			$ingles = 2;	
			break;
			case 9:
			$ingles = 3;	
			break;
		
		}
	}
	
	if ($frances!=0) {
		switch ($frances) {
			case 4:
			$frances = 1;	
			break;
			case 7:
			$frances = 2;	
			break;
			case 9:
			$frances = 3;	
			break;
		
		}
	}
	
	if ($aleman!=0) {
		switch ($aleman) {
			case 4:
			$aleman = 1;	
			break;
			case 7:
			$aleman = 2;	
			break;
			case 9:
			$aleman = 3;	
			break;
		
		}
	}
	
	
	
	
	
	
	$tsql =  "INSERT INTO POTENCIALES (NUMERO,NOMBRE,TELEFONO,MOVIL,FAX,EMAIL,DIRECCION,CP,POBLACION,PROVINCIA,FENAC,NACIOPER,NIF,OBSERVA,ALTA,CHOFER,COMI,PERSONAL,ULTMODI,USUARIO,chkCHOFER,chkADMIN,chkCOMER,chkCONTA,chkLAVA,NACIONALIDAD,REFERENCIAS,EXPERIENCIA,USUARIO_WEB,CONTRASE_WEB,IDIOMA_ESP,IDIOMA_ING,IDIOMA_FR,IDIOMA_AL,IDIOMA_OTROS,MEDIO,ORIGEN,SUBLICEN,OFICINA,USU_CREA,DIR_NUM,EMPRESA,USUCREA,FECHACREA) 
	VALUES ('$cod_potencial','".$nombre." ".$apellidos."','+".$pais." ".$tlfijo."','+".$pais." ".$tlfmovil."','+".$pais." ".$fax."','$email_tabla','$direccion','$codigopostal','$poblacion','$cpostal','$nacimiento','$pais','$dni','$observaciones','$falta','$cod_chofer','$cod_comisio','$cod_personal','$ultmodi','$usuario','$conductor','$administrativo','$comercial','$contable','$lavacoches','$pais','$referencias','$experiencia','$usuario_web','$dni','$espanol','$ingles','$frances','$aleman','$otro_idioma','11','$origen','$empresa','C1','$usuario','$numero','$empresa','$usuario','".date('YmdH:i')."')";
	$result=odbc_exec($cid,$tsql)or die(exit("Error en odbc_exec"));
	
	
	
	
	
	
	
	
	
}


?>